# This shell script is run before Openbox launches.
# Environment variables set here are passed to the Openbox session.

# Set a background color
BG=""
if which hsetroot >/dev/null; then
    BG=hsetroot
else
    if which esetroot >/dev/null; then
	BG=esetroot
    else
	if which xsetroot >/dev/null; then
	    BG=xsetroot
	fi
    fi
fi
test -z $BG || $BG -solid "#303030"

# D-bus
if which dbus-launch >/dev/null && test -z "$DBUS_SESSION_BUS_ADDRESS"; then
       eval `dbus-launch --sh-syntax --exit-with-session`
fi

# Make GTK apps look and behave how they were set up in the gnome config tools
if which gnome-settings-daemon >/dev/null; then
  gnome-settings-daemon &
fi

# Preload stuff for KDE apps
if which start_kdeinit >/dev/null; then
  LD_BIND_NOW=true start_kdeinit --new-startup +kcminit_startup &
fi

#fbpanel
#if which fbpanel >/dev/null; then
#  killall fbpanel >/dev/null
#  fbpanel &
#fi
if which stalonetray >/dev/null; then
  killall stalonetray >/dev/null
  stalonetray -w -p &
fi

#pcman
if which pcmanfm >/dev/null; then
  killall pcmanfm >/dev/null
  pcmanfm &
fi

#rox
#killall rox > /dev/null 2>&1
#rox -p default &

if which terminator >/dev/null; then
	killall terminator >/dev/null
	terminator &
fi

aticonfig --set-powerstate=1 


##
#killall xcompmgr >/dev/null
#xcompmgr -Ss -n -Cc -fF -I-10 -O-10 -D1 -t-3 -l-4 -r4 &
#xcompmgr -c &
#killall avant-window-navigator >/dev/null
#sleep 60 && conky -c /home/hunch/scripts/myconkyweather

# Conky 加上这三行 
# 挂上漂亮的监视器，这里被我注释掉了，因为和 rox 搭配还有一些小问题未解决。
killall conky >/dev/null
conky -c /home/hunch/scripts/.conkyrc &
conky -c /home/hunch/scripts/myconkyweather &


# Fcitx 输入法我也写到这里了，呵呵。
killall fcitx > /dev/null 2>&1
fcitx &
